<?xml version="1.0" encoding="UTF-8" ?>
<FDSNStationXML xmlns="http://www.fdsn.org/xml/station/1" schemaVersion="1.1"
                xsi:schemaLocation="http://www.fdsn.org/xml/station/1 http://www.fdsn.org/xml/station/fdsn-station-1.1.xsd"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:resif="http://www.fdsn.org/xml/station/1/resif">
    <Source>RESIF-SI</Source>
    <Sender>RESIF-DC</Sender>
    <Module>RESIF WEB SERVICE: fdsnws-station | version: 1.1.1 </Module>
    <ModuleURI>{{ layout.api_url() }}</ModuleURI>
    <Created>{{ now }}</Created>

    {% for network in query.run_network(db_session) %}
        <Network code="{{ network.code }}"{% if network.altcode %} alternateCode="{{network.altcode }}"{% endif %} startDate="{{ network.starttime }}"{% if network.end %} endDate="{{ network.end }}"{% endif %} restrictedStatus="{{ network.policy }}">

            {% if network.description %}
                <Description>{{ network.description }}</Description>
            {% endif %}

            {% for identifier in network.identifiers %}
                <Identifier type="{{ identifier.type }}">{{ identifier.identifier }}</Identifier>
            {% endfor %}

            {% for comment in network.comments %}
                <Comment{% if comment.type %} type="{{ comment.type }}"{% endif %}>{{ comment.comment }}</Comment>
            {% endfor %}

            {% for operator in network.operators %}
                <Operator>
                    {% if operator.agency %}
                        <Agency>{{ operator.agency.agency }}</Agency>
                    {% endif %}

                    {% if operator.website %}
                        <WebSite>{{ operator.website}}</WebSite>
                    {% endif %}
                </Operator>
            {% endfor %}

            <TotalNumberStations>{{ network.nb_station }}</TotalNumberStations>
            {#<SelectedNumberStations>{{ network.selected_stations }}</SelectedNumberStations>#}

        {% if query.level in ('station', 'channel', 'response') %}
            {% for station in query.run_station(db_session, network.code) %}
                <Station code="{{ station.code }}" startDate="{{ station.starttime }}"{% if station.end %} endDate="{{ station.end }}"{% endif %} restrictedStatus="{{ station.policy }}" resif:alternateNetworkCodes="{{ network.altcode }}">

                {% if station.description %}
                    <Description>{{ station.description }}</Description>
                {% endif %}

                {% for identifier in station.identifiers %}
                    <Identifier type="{{ identifier.type }}">{{ identifier.identifier }}</Identifier>
                {% endfor %}

                {% for comment in station.comments %}
                    <Comment{% if comment.type %} type="{{ comment.type }}"{% endif %}>{{ comment.comment }}</Comment>
                {% endfor %}

                <Latitude>{{ station.latitude.latitude }}</Latitude>
                <Longitude>{{ station.longitude.longitude }}</Longitude>
                <Elevation>{{ station.elevation.distance }}</Elevation>

{#                <Site>#}
{#                    <Name>{{ site.name }}</Name>#}
{#                    <Description>{{ site.description }}</Description>#}
{#                    <Town>{{ site.town }}</Town>#}
{#                    <County>{{ site.county }}</County>#}
{#                    <Region>{{ site.region }}</Region>#}
{#                    <Country>{{ site.country }}</Country>#}
{#                </Site>#}
                {% if station.waterlevel %}
                    <WaterLevel>{{ station.waterlevel.waterlevel }}</WaterLevel>
                {% endif %}
                {% if station.vault %}
                    <Vault>{{ station.vault.vault }}</Vault>
                {% endif %}
                {% if station.geology %}
                    <Geology>{{ station.geology.geology }}</Geology>
                {% endif %}

                {% for equipment in station.equipments %}
                {#<Equipment></Equipment>#}
                {% endfor %}

                {% for operator in station.operators %}
                {#<Operator></Operator>#}
                {% endfor %}

                {% if station.creationdate %}
                    <CreationDate>{{ station.creationdate }}</CreationDate>
                {% endif %}
                {% if station.terminationdate %}
                    <TerminationDate>{{ station.terminationdate }}</TerminationDate>
                {% endif %}

                <TotalNumberChannels>{{ station.nb_channel }}</TotalNumberChannels>
{#                <SelectedNumberChannels></SelectedNumberChannels>#}

                {% for external_reference in station.external_references %}
                    <ExternalReference>
                        <URI>{{ external_reference.url }}</URI>
                        <Description>{{ external_reference.description }}</Description>
                    </ExternalReference>
                {% endfor %}

                {% if query.level in ('channel', 'response') %}
                    {% for channel in query.run_channel(db_session, network.code, station.code) %}
                        <Channel locationCode="{{ channel.location }}" code="{{ channel.code }}" startDate="{{ channel.start}}"{% if channel.end %} endDate="{{ channel.end}}"{% endif %} restrictedStatus="{{ channel.policy }}">

                            {% if channel.description %}
                                <Description>{{ channel.description }}</Description>
                            {% endif %}

                            {% for identifier in channel.identifiers %}
                                <Identifier type="{{ identifier.type }}">{{ identifier.identifier }}</Identifier>
                            {% endfor %}

                            {% for comment in channel.comments %}
                                <Comment{% if comment.type %} type="{{ comment.type }}"{% endif %}>{{ comment.comment }}</Comment>
                            {% endfor %}

                            {% for external_reference in channel.external_references %}
                                <ExternalReference>
                                    <URI>{{ external_reference.url }}</URI>
                                    <Description>{{ external_reference.description }}</Description>
                                </ExternalReference>
                            {% endfor %}

                            <Latitude>{{ channel.latitude.latitude }}</Latitude>
                            <Longitude>{{ channel.longitude.longitude }}</Longitude>
                            <Elevation>{{ channel.elevation.distance }}</Elevation>
                            <Depth>{{ channel.depth.distance }}</Depth>

                            {% if channel.azimuth %}
                                <Azimuth>{{ channel.azimuth.azimuth }}</Azimuth>
                            {% endif %}
                            {% if channel.dip %}
                                <Dip>{{ channel.dip.dip }}</Dip>
                            {% endif %}

                            {% if channel.waterlevel %}
                                <WaterLevel>{{ channel.waterlevel.waterlevel }}</WaterLevel>
                            {% endif %}

                            {% for type in channel.types %}
                                <Type>{{ type }}</Type>
                            {% endfor %}

                            {#
                            SampleRateGroup
                            ClockDrift
                            CalibrationUnits
                            Sensor
                            PreAmplifier
                            DataLogger
                            Equipment
                            #}


                            {% if query.level == 'response' %}

                            {% endif %}

                        </Channel>
                    {% endfor %}
                {% endif %}

                </Station>
            {% endfor %}
        {% endif %}

        </Network>
    {% endfor %}
</FDSNStationXML>